Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network90.3.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
90.3.32.0
Broadcast address
90.3.63.255
First usable
90.3.32.1
Last usable
90.3.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 5A032000 · Integer 1510154240 to 1510162431
Reverse DNS zones
32.3.90.in-addr.arpa
33.3.90.in-addr.arpa
34.3.90.in-addr.arpa
35.3.90.in-addr.arpa
36.3.90.in-addr.arpa
37.3.90.in-addr.arpa
38.3.90.in-addr.arpa
39.3.90.in-addr.arpa
40.3.90.in-addr.arpa
41.3.90.in-addr.arpa
42.3.90.in-addr.arpa
43.3.90.in-addr.arpa
44.3.90.in-addr.arpa
45.3.90.in-addr.arpa
46.3.90.in-addr.arpa
47.3.90.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011010.00000011.00100000.0000000090.3.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01011010.00000011.00100000.0000000090.3.32.0
Broadcast01011010.00000011.00111111.1111111190.3.63.255
Split into smaller subnets/26

90.3.32.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
190.3.32.0/2690.3.32.1 to 90.3.32.6290.3.32.6362
290.3.32.64/2690.3.32.65 to 90.3.32.12690.3.32.12762
390.3.32.128/2690.3.32.129 to 90.3.32.19090.3.32.19162
490.3.32.192/2690.3.32.193 to 90.3.32.25490.3.32.25562
590.3.33.0/2690.3.33.1 to 90.3.33.6290.3.33.6362
690.3.33.64/2690.3.33.65 to 90.3.33.12690.3.33.12762
790.3.33.128/2690.3.33.129 to 90.3.33.19090.3.33.19162
890.3.33.192/2690.3.33.193 to 90.3.33.25490.3.33.25562
990.3.34.0/2690.3.34.1 to 90.3.34.6290.3.34.6362
1090.3.34.64/2690.3.34.65 to 90.3.34.12690.3.34.12762
1190.3.34.128/2690.3.34.129 to 90.3.34.19090.3.34.19162
1290.3.34.192/2690.3.34.193 to 90.3.34.25490.3.34.25562
1390.3.35.0/2690.3.35.1 to 90.3.35.6290.3.35.6362
1490.3.35.64/2690.3.35.65 to 90.3.35.12690.3.35.12762
1590.3.35.128/2690.3.35.129 to 90.3.35.19090.3.35.19162
1690.3.35.192/2690.3.35.193 to 90.3.35.25490.3.35.25562
1790.3.36.0/2690.3.36.1 to 90.3.36.6290.3.36.6362
1890.3.36.64/2690.3.36.65 to 90.3.36.12690.3.36.12762
1990.3.36.128/2690.3.36.129 to 90.3.36.19090.3.36.19162
2090.3.36.192/2690.3.36.193 to 90.3.36.25490.3.36.25562
2190.3.37.0/2690.3.37.1 to 90.3.37.6290.3.37.6362
2290.3.37.64/2690.3.37.65 to 90.3.37.12690.3.37.12762
2390.3.37.128/2690.3.37.129 to 90.3.37.19090.3.37.19162
2490.3.37.192/2690.3.37.193 to 90.3.37.25490.3.37.25562
2590.3.38.0/2690.3.38.1 to 90.3.38.6290.3.38.6362
2690.3.38.64/2690.3.38.65 to 90.3.38.12690.3.38.12762
2790.3.38.128/2690.3.38.129 to 90.3.38.19090.3.38.19162
2890.3.38.192/2690.3.38.193 to 90.3.38.25490.3.38.25562
2990.3.39.0/2690.3.39.1 to 90.3.39.6290.3.39.6362
3090.3.39.64/2690.3.39.65 to 90.3.39.12690.3.39.12762
3190.3.39.128/2690.3.39.129 to 90.3.39.19090.3.39.19162
3290.3.39.192/2690.3.39.193 to 90.3.39.25490.3.39.25562
3390.3.40.0/2690.3.40.1 to 90.3.40.6290.3.40.6362
3490.3.40.64/2690.3.40.65 to 90.3.40.12690.3.40.12762
3590.3.40.128/2690.3.40.129 to 90.3.40.19090.3.40.19162
3690.3.40.192/2690.3.40.193 to 90.3.40.25490.3.40.25562
3790.3.41.0/2690.3.41.1 to 90.3.41.6290.3.41.6362
3890.3.41.64/2690.3.41.65 to 90.3.41.12690.3.41.12762
3990.3.41.128/2690.3.41.129 to 90.3.41.19090.3.41.19162
4090.3.41.192/2690.3.41.193 to 90.3.41.25490.3.41.25562
4190.3.42.0/2690.3.42.1 to 90.3.42.6290.3.42.6362
4290.3.42.64/2690.3.42.65 to 90.3.42.12690.3.42.12762
4390.3.42.128/2690.3.42.129 to 90.3.42.19090.3.42.19162
4490.3.42.192/2690.3.42.193 to 90.3.42.25490.3.42.25562
4590.3.43.0/2690.3.43.1 to 90.3.43.6290.3.43.6362
4690.3.43.64/2690.3.43.65 to 90.3.43.12690.3.43.12762
4790.3.43.128/2690.3.43.129 to 90.3.43.19090.3.43.19162
4890.3.43.192/2690.3.43.193 to 90.3.43.25490.3.43.25562
4990.3.44.0/2690.3.44.1 to 90.3.44.6290.3.44.6362
5090.3.44.64/2690.3.44.65 to 90.3.44.12690.3.44.12762
5190.3.44.128/2690.3.44.129 to 90.3.44.19090.3.44.19162
5290.3.44.192/2690.3.44.193 to 90.3.44.25490.3.44.25562
5390.3.45.0/2690.3.45.1 to 90.3.45.6290.3.45.6362
5490.3.45.64/2690.3.45.65 to 90.3.45.12690.3.45.12762
5590.3.45.128/2690.3.45.129 to 90.3.45.19090.3.45.19162
5690.3.45.192/2690.3.45.193 to 90.3.45.25490.3.45.25562
5790.3.46.0/2690.3.46.1 to 90.3.46.6290.3.46.6362
5890.3.46.64/2690.3.46.65 to 90.3.46.12690.3.46.12762
5990.3.46.128/2690.3.46.129 to 90.3.46.19090.3.46.19162
6090.3.46.192/2690.3.46.193 to 90.3.46.25490.3.46.25562
6190.3.47.0/2690.3.47.1 to 90.3.47.6290.3.47.6362
6290.3.47.64/2690.3.47.65 to 90.3.47.12690.3.47.12762
6390.3.47.128/2690.3.47.129 to 90.3.47.19090.3.47.19162
6490.3.47.192/2690.3.47.193 to 90.3.47.25490.3.47.25562
6590.3.48.0/2690.3.48.1 to 90.3.48.6290.3.48.6362
6690.3.48.64/2690.3.48.65 to 90.3.48.12690.3.48.12762
6790.3.48.128/2690.3.48.129 to 90.3.48.19090.3.48.19162
6890.3.48.192/2690.3.48.193 to 90.3.48.25490.3.48.25562
6990.3.49.0/2690.3.49.1 to 90.3.49.6290.3.49.6362
7090.3.49.64/2690.3.49.65 to 90.3.49.12690.3.49.12762
7190.3.49.128/2690.3.49.129 to 90.3.49.19090.3.49.19162
7290.3.49.192/2690.3.49.193 to 90.3.49.25490.3.49.25562
7390.3.50.0/2690.3.50.1 to 90.3.50.6290.3.50.6362
7490.3.50.64/2690.3.50.65 to 90.3.50.12690.3.50.12762
7590.3.50.128/2690.3.50.129 to 90.3.50.19090.3.50.19162
7690.3.50.192/2690.3.50.193 to 90.3.50.25490.3.50.25562
7790.3.51.0/2690.3.51.1 to 90.3.51.6290.3.51.6362
7890.3.51.64/2690.3.51.65 to 90.3.51.12690.3.51.12762
7990.3.51.128/2690.3.51.129 to 90.3.51.19090.3.51.19162
8090.3.51.192/2690.3.51.193 to 90.3.51.25490.3.51.25562
8190.3.52.0/2690.3.52.1 to 90.3.52.6290.3.52.6362
8290.3.52.64/2690.3.52.65 to 90.3.52.12690.3.52.12762
8390.3.52.128/2690.3.52.129 to 90.3.52.19090.3.52.19162
8490.3.52.192/2690.3.52.193 to 90.3.52.25490.3.52.25562
8590.3.53.0/2690.3.53.1 to 90.3.53.6290.3.53.6362
8690.3.53.64/2690.3.53.65 to 90.3.53.12690.3.53.12762
8790.3.53.128/2690.3.53.129 to 90.3.53.19090.3.53.19162
8890.3.53.192/2690.3.53.193 to 90.3.53.25490.3.53.25562
8990.3.54.0/2690.3.54.1 to 90.3.54.6290.3.54.6362
9090.3.54.64/2690.3.54.65 to 90.3.54.12690.3.54.12762
9190.3.54.128/2690.3.54.129 to 90.3.54.19090.3.54.19162
9290.3.54.192/2690.3.54.193 to 90.3.54.25490.3.54.25562
9390.3.55.0/2690.3.55.1 to 90.3.55.6290.3.55.6362
9490.3.55.64/2690.3.55.65 to 90.3.55.12690.3.55.12762
9590.3.55.128/2690.3.55.129 to 90.3.55.19090.3.55.19162
9690.3.55.192/2690.3.55.193 to 90.3.55.25490.3.55.25562
9790.3.56.0/2690.3.56.1 to 90.3.56.6290.3.56.6362
9890.3.56.64/2690.3.56.65 to 90.3.56.12690.3.56.12762
9990.3.56.128/2690.3.56.129 to 90.3.56.19090.3.56.19162
10090.3.56.192/2690.3.56.193 to 90.3.56.25490.3.56.25562
10190.3.57.0/2690.3.57.1 to 90.3.57.6290.3.57.6362
10290.3.57.64/2690.3.57.65 to 90.3.57.12690.3.57.12762
10390.3.57.128/2690.3.57.129 to 90.3.57.19090.3.57.19162
10490.3.57.192/2690.3.57.193 to 90.3.57.25490.3.57.25562
10590.3.58.0/2690.3.58.1 to 90.3.58.6290.3.58.6362
10690.3.58.64/2690.3.58.65 to 90.3.58.12690.3.58.12762
10790.3.58.128/2690.3.58.129 to 90.3.58.19090.3.58.19162
10890.3.58.192/2690.3.58.193 to 90.3.58.25490.3.58.25562
10990.3.59.0/2690.3.59.1 to 90.3.59.6290.3.59.6362
11090.3.59.64/2690.3.59.65 to 90.3.59.12690.3.59.12762
11190.3.59.128/2690.3.59.129 to 90.3.59.19090.3.59.19162
11290.3.59.192/2690.3.59.193 to 90.3.59.25490.3.59.25562
11390.3.60.0/2690.3.60.1 to 90.3.60.6290.3.60.6362
11490.3.60.64/2690.3.60.65 to 90.3.60.12690.3.60.12762
11590.3.60.128/2690.3.60.129 to 90.3.60.19090.3.60.19162
11690.3.60.192/2690.3.60.193 to 90.3.60.25490.3.60.25562
11790.3.61.0/2690.3.61.1 to 90.3.61.6290.3.61.6362
11890.3.61.64/2690.3.61.65 to 90.3.61.12690.3.61.12762
11990.3.61.128/2690.3.61.129 to 90.3.61.19090.3.61.19162
12090.3.61.192/2690.3.61.193 to 90.3.61.25490.3.61.25562
12190.3.62.0/2690.3.62.1 to 90.3.62.6290.3.62.6362
12290.3.62.64/2690.3.62.65 to 90.3.62.12690.3.62.12762
12390.3.62.128/2690.3.62.129 to 90.3.62.19090.3.62.19162
12490.3.62.192/2690.3.62.193 to 90.3.62.25490.3.62.25562
12590.3.63.0/2690.3.63.1 to 90.3.63.6290.3.63.6362
12690.3.63.64/2690.3.63.65 to 90.3.63.12690.3.63.12762
12790.3.63.128/2690.3.63.129 to 90.3.63.19090.3.63.19162
12890.3.63.192/2690.3.63.193 to 90.3.63.25490.3.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses